Subject: RE: WG LAST CALL: draft-ietf-smime-rfc2632bis-05.txt

From: "Blake Ramsdell" <[email-masked]>
Date: Wed, 5 May 2004 22:12:55 -0700

> -----Original Message-----
> From: Russ Housley [mailto:[email-masked]] 
> Sent: Sunday, February 29, 2004 8:46 PM
> To: Blake Ramsdell; [email-masked]
> Subject: Re: WG LAST CALL: draft-ietf-smime-rfc2632bis-05.txt
> 
> 1. Section 1,1, 1st sentence: s/draft/document/

Fixed.

> 2.  Should Section 1,2 reference RFC 3369?

We had this discussion in 2633 about "prior practice" vs. "current
practice". Not changed.

> 3.  Section 1.4: s/MD2 use for certificate signatures 
> discouraged/The use 
> of the MD5 message digest for certificate signatures is discouraged/

Fixed (also s/MD5/MD2/ as you pointed out in a subsequent message).

> 4. Delete Section 1.5 before submitting the document to the IESG.

Fixed.

> 5.  Section 4.4.2 include the following paragraph:
> 
>     If the key usage extension is not specified, receiving 
> clients MUST
>     presume that the digitalSignature and nonRepudiation bits are set.
> 
> Should there be an 'only' in this sentence?

I don't think so -- the critical thing, I think, was to communicate was
that any certificate should be considered useful for signing. Outside of
that, it's up to the client to determine other usage defaults.

> 6.  Section 4.4.4, 2nd paragraph, last sentence.  Add a period.

Fixed.

Blake

---

From: "Blake Ramsdell" <[email-masked]>
Date: Thu, 6 May 2004 01:38:08 -0700

> From: Jim Schaad [mailto:[email-masked]] 
> Sent: Tuesday, March 09, 2004 9:50 PM
> To: 'Blake Ramsdell'; [email-masked]
> Subject: RE: WG LAST CALL: draft-ietf-smime-rfc2632bis-05.txt
> 
> 1.  Do we need to review the  RSA key sizes on certificate 
> verification,
> 4096 is soon to be a common key size I think and should be 
> supported.  I
> don't know that 512 should not be dropped from MUST to SHOULD.

I'm not feeling this one on the 4096 end. I'm leaving it alone for now.
If anyone feels strongly, speak up.

On the 512 end... I think making implementations support 512 is fine.

> 2.  I just noticed that 4.4.2.1 does not have a corresponding 
> section for
> RSA.  In point of fact this may now be in CMSALG and 
> therefore not needed.
> (i.e. remove 4.4.2.1)

Agreed -- this is covered in [KEYMALG]. Removed.

Blake